<div class="wrap">
    <div id="icon-wpml" class="icon32"><br /></div>
    <h2><?php _e('Multilingual Compatibility Testing Tool', 'wpml-tester'); ?></h2>
	
	<table class="widefat general_options_table">
        <thead>
            <tr>
                <th><?php _e('Multilingual Compatibility Testing Tool', 'wpml-tester') ?></th>
            </tr>
        </thead>
        <tbody>
			<tr>
                <td>
                    <p>
						<?php _e('Make sure that your theme is already scanned for strings.', 'wpml-tester'); ?><br /><br />
						
						<a href="<?php echo admin_url( 'admin.php?page=sitepress-multilingual-cms/menu/theme-localization.php' ); ?>" class="button-secondary"><?php _e('Scan the theme or plugin for strings', 'wpml-tester'); ?></a>
					</p>
				</td>
			</tr>
		</tbody>
	</table>
	
	<table class="widefat general_options_table" style="margin-top: 20px;">
        <thead>
            <tr>
                <th><?php _e('Theme localization', 'wpml-tester') ?></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>
                    <p>
						<form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
							<?php 
							$themes_context = wpml_tester_themes_context();
							
							if( !empty( $themes_context ) ){ ?>
							<label style="width: 235px; margin-top: 3px; float: left;"><?php _e('Select strings within context to translate:', 'wpml-tester'); ?></label>
							<select name="theme_context">
								<option value="all_themes" selected="selected"><?php _e('All themes', 'wpml-tester'); ?></option>
								
								<?php foreach( $themes_context as $v ){ ?>
									<option value="<?php echo htmlspecialchars( $v->context ); ?>"><?php echo $v->context . ' ('. $v->c .')'; ?></option>
								<?php } ?>
							</select>    
							<?php } ?>
							<br /><br />
							
							<label style="width: 235px; margin-top: 3px; float: left;"><?php _e('Translate to languages:', 'wpml-tester'); ?></label>
							<?php echo wpml_tester_active_languages_output( 'theme' ); ?>
							<br /><br />
							
							<label style="width: 235px; margin-top: 3px; float: left;"><?php _e('Prefix:', 'wpml-tester'); ?></label>
							<input type="text" name="theme_prefix" value="<?php echo get_option( 'WPML_tester_themes_prefix '); ?>" />
							<br /><br />		
							
							<input type="submit" name="theme_translate" value="<?php _e('Translate', 'wpml-tester'); ?>" class="button-secondary" />
							<input type="submit" name="theme_update_translations" value="<?php _e('Update translations', 'wpml-tester'); ?>" class="button-secondary" />
						</form>
					</p>
				</td>
			</tr>
		</tbody>
	</table>
	
	<table class="widefat general_options_table" style="margin-top: 20px;">
        <thead>
            <tr>
                <th><?php _e('Plugin localization', 'wpml-tester') ?></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>
                    <p>
						<form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
							<?php 
							$plugins_context = wpml_tester_plugins_context();
							
							if( !empty( $plugins_context ) ){ ?>
							<label style="width: 235px; margin-top: 3px; float: left;"><?php _e('Select strings within context to translate:', 'wpml-tester'); ?></label>
							<select name="plugin_context">
								<option value="all_plugins" selected="selected"><?php _e('All plugins', 'wpml-tester'); ?></option>
								
								<?php foreach( $plugins_context as $v ){ ?>
									<option value="<?php echo htmlspecialchars( $v->context ); ?>"><?php echo $v->context . ' ('. $v->c .')'; ?></option>
								<?php } ?>
							</select>    
							<?php } ?>
							<br /><br />
							
							<label style="width: 235px; margin-top: 3px; float: left;"><?php _e('Translate to languages:', 'wpml-tester'); ?></label>
							<?php echo wpml_tester_active_languages_output( 'plugin' ); ?>
							<br /><br />
							
							<label style="width: 235px; margin-top: 3px; float: left;"><?php _e('Prefix:', 'wpml-tester'); ?></label>
							<input type="text" name="plugin_prefix" value="<?php echo get_option( 'WPML_tester_plugins_prefix '); ?>" />
							<br /><br />		
							
							<input type="submit" name="plugin_translate" value="<?php _e('Translate', 'wpml-tester'); ?>" class="button-secondary" />
							<input type="submit" name="plugin_update_translations" value="<?php _e('Update translations', 'wpml-tester'); ?>" class="button-secondary" />
						</form>
					</p>
				</td>
			</tr>
		</tbody>
	</table>	
	
	<table class="widefat general_options_table" style="margin-top: 20px;">
        <thead>
            <tr>
                <th><?php _e('Create pages with dummy content', 'wpml-tester') ?></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>
                    <p>
						<form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
							<?php _e('This will create a few pages in a second language with dummy content.', 'wpml-tester'); ?><br /><br />
						
							<label style="width: 235px; margin-top: 3px; float: left;"><?php _e('Translate to languages:', 'wpml-tester'); ?></label>
							<?php echo wpml_tester_active_languages_output( 'page' ); ?>
							<br /><br />
							
							<input type="submit" name="create_pages" value="<?php _e('Create', 'wpml-tester'); ?>" class="button-secondary" />
						</form>
					</p>
				</td>
			</tr>
		</tbody>
	</table>	
	
	<table class="widefat general_options_table" style="margin-top: 20px;">
        <thead>
            <tr>
                <th><?php _e('Scan', 'wpml-tester') ?></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>
                    <p>
						<form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
							<?php _e('This will scan for custom post types, taxonomies and custom fields.', 'wpml-tester'); ?><br /><br />
							
							<input type="submit" name="scan" value="<?php _e('Scan', 'wpml-tester'); ?>" class="button-secondary" />
						</form>
					</p>
				</td>
			</tr>
		</tbody>
	</table>	
	
	<?php if( isset( $_POST['scan'] ) ){ ?>
	<table class="widefat general_options_table" style="margin-top: 20px;">
        <thead>
            <tr>
                <th><?php _e('Scanning Results', 'wpml-tester') ?></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>
                    <p>
						<b>Custom fields:</b><br /><br />
						<?php
						$cfs = wpml_tester_scan_cfs();
						
						if ( empty( $cfs ) ){
							_e('No custom fields.', 'wpml-tester');
							echo '<br /><br />';
						} else {
						
							foreach( $cfs as $k => $v ){
								echo $v . '<br />';
							}
							
							echo '<br />';
							
						}
						
						?>
						<b>Custom types:</b><br /><br />
						<?php
						$types = wpml_tester_scan_custom_types();
						
						if( empty( $types ) ){
							_e('No custom post types.', 'wpml-tester');
							echo '<br /><br />';
						} else {
						
							foreach( $types as $k => $v ){
								echo $v->post_type . '<br />';
							}
							
							echo '<br />';
							
						}
						
						?>
						
						<b>Custom taxonomies:</b><br /><br />
						<?php
						
						$ctaxonomies = wpml_tester_scan_custom_taxonomies();
						
						if( empty( $ctaxonomies ) ){
							_e('No taxonomies.', 'wpml-tester');
							echo '<br /><br />';
						} else {
						
							foreach( $ctaxonomies as $k => $v ){
								echo $v->taxonomy . '<br />';
							}
							
							echo '<br />';
							
						}
						
						?>
					</p>
				</td>
			</tr>
		</tbody>
	</table>
	<?php } ?>
	
</div>