<?php

function wpml_tester_themes_context(){
    $all_context = icl_st_get_contexts(0);

    foreach ( $all_context  as $k => $v ){
            if( strpos( $v->context, 'plugin' ) !== false ){
                unset($all_context[$k]);
            }
    }
    
    return $all_context;
}

function wpml_tester_plugins_context(){
    $all_context = icl_st_get_contexts(0);

    foreach ( $all_context  as $k => $v ){
            if( strpos( $v->context, 'theme' ) !== false ){
                unset($all_context[$k]);
            }
            
            if( $v->context == 'Widgets' || $v->context == 'WP' ){
                unset($all_context[$k]);
            }
    }
    
    return $all_context;
}

function wpml_tester_active_languages_output( $parameter = 'themes' ){
    global $sitepress;
							
    $active_langs = $sitepress->get_active_languages();
    $default_lang = $sitepress->get_default_language();
    $theme_lang_inputs = '';
    
    unset($active_langs[$default_lang]);
							
    foreach( $active_langs as $lang => $v ){			
        $theme_lang_inputs .= ' <input type="checkbox" name="'. $parameter .'_languages[]" value="'. $lang .'" /> ' . $active_langs[$lang]['english_name']; 

    }
    
    return $theme_lang_inputs;
							    
}

function wpml_tester_scan_cfs(){
    global $wpdb;
            
    $cf_keys_limit = 1000;
    $cf_keys = $wpdb->get_col( "
        SELECT meta_key
        FROM $wpdb->postmeta
        GROUP BY meta_key
        ORDER BY meta_key
        LIMIT $cf_keys_limit" );
    
    $cf_keys_exceptions = array('_edit_last', '_edit_lock', '_wp_page_template', '_wp_attachment_metadata', '_icl_translator_note', '_alp_processed');
    
    $cf_keys = array_diff($cf_keys, $cf_keys_exceptions);
    $cf_keys = array_unique(@array_merge($cf_keys, (array)$iclTranslationManagement->settings['custom_fields_readonly_config']));
    
    if ( $cf_keys )
        natcasesort($cf_keys);
    
    return $cf_keys;
}

function wpml_tester_scan_custom_taxonomies(){
    global $wpdb;
    
    $taxonomies = $wpdb->get_results( 
	"
	SELECT DISTINCT(taxonomy) 
	FROM $wpdb->term_taxonomy
	"
    );  
    
    foreach( $taxonomies as $k => $v ){
        
        if( $v->taxonomy == 'category' ){
            unset($taxonomies[$k]);
	} else if( $v->taxonomy == 'link_category' ){
            unset($taxonomies[$k]);
	}
        
    }
    
    return $taxonomies;
}

function wpml_tester_scan_custom_types(){
	global $wpdb;
    
    $types = $wpdb->get_results( 
	"
	SELECT DISTINCT(post_type) 
	FROM $wpdb->posts
	"
    );  
    
    foreach( $types as $k => $v ){
        
        if( $v->post_type == 'attachment' ){
                    unset($types[$k]);
		} else if( $v->post_type == 'page' ){
                    unset($types[$k]);
		} else if( $v->post_type == 'post' ){
                    unset($types[$k]);
		} else if( $v->post_type == 'revision' ){
                    unset($types[$k]);
		}
		
    }
    
    return $types;
}


?>